versión API Graph

Whats App Business Account Call Analytics

Lectura

Enables one to retrieve the call analytics data for this WhatsApp Business Account

Ejemplo

Graph API Explorer
GET /v26.0/{whats-app-business-account-id}/call_analytics HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{whats-app-business-account-id}/call_analytics',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{whats-app-business-account-id}/call_analytics",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{whats-app-business-account-id}/call_analytics",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{whats-app-business-account-id}/call_analytics"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Si quieres aprender a usar la API Graph, lee nuestra guía "Uso de la API Graph".

Parámetros

ParámetroDescripción
country_codes
array<string>
Valor predeterminado: []

Country codes to receive analytics for

dimensions
array<enum {UNKNOWN, PHONE, COUNTRY, DIRECTION, TIER}>
Valor predeterminado: []

Dimensions to receive analytics for

directions
array<enum {UNKNOWN, BUSINESS_INITIATED, USER_INITIATED}>
Valor predeterminado: []

Call directions to receive analytics for

end
int64

End time

Obligatorio
granularity
enum {HALF_HOUR, DAILY, MONTHLY}

What granularity to receive analytics for

Obligatorio
metric_types
array<enum {UNKNOWN, COUNT, AVERAGE_DURATION, COST}>
Valor predeterminado: []

Metric types to receive analytics for

phone_numbers
array<string>
Valor predeterminado: []

Phone numbers to receive analytics for

start
int64

Start time

Obligatorio
tiers
array<string>
Valor predeterminado: []

tiers

Campos

La lectura de este perímetro mostrará un resultado formateado con JSON:

{ "data": [], "paging": {} }

data

Una lista de nodos de WABACallAnalytics.

paging

Para obtener más detalles sobre la paginación, consulta la Guía de la API Graph.

Error Codes

ErrorDescripción
100Invalid parameter

Creando

No puedes realizar esta operación en este extremo.

Actualizando

No puedes realizar esta operación en este extremo.

Eliminando

No puedes realizar esta operación en este extremo.